import { StandardGenerator, GeneratorWithFields } from '../base';
import { PredefinedField, SchemaArrayLayout, SchemaArrayList, SchemaField, SchemaArrayEditModal } from '../types';
export declare class ArrayFieldGenerator extends GeneratorWithFields {
    protected _options: {
        sortable?: boolean;
        layout?: SchemaArrayLayout;
        list?: SchemaArrayList[];
        editModal?: SchemaArrayEditModal;
    };
    constructor(predefinedFields: PredefinedField | undefined, name?: string, title?: string);
    fields(): this;
    of(fields: Array<string | StandardGenerator>): this;
    sortable(sortable?: boolean): this;
    layout(layout: SchemaArrayLayout): this;
    list(items: SchemaArrayList[]): this;
    editModal(editModal: SchemaArrayEditModal): this;
    protected extendProperties(field: SchemaField): void;
}
