import { StandardGenerator } from '../base';
export declare class DatetimeFieldGenerator extends StandardGenerator {
    protected _options: {
        dateFormat?: string;
        timeFormat?: string;
        timeStep?: number;
        calendarTodayLabel?: string;
    };
    constructor(name?: string, title?: string);
    format({ date, time }: {
        date?: string;
        time?: string;
    }): this;
    step(step: number): this;
    todayLabel(label: string): this;
}
