import { BaseGenerator } from '../base';
import { SchemaFieldset } from '../types';
export declare class FieldSetGenerator extends BaseGenerator {
    protected _name: string;
    protected _options: {
        collapsible?: boolean;
        collapsed?: boolean;
        columns?: number;
    };
    constructor(name: string, title?: string);
    collapsible(isCollapsible?: boolean): this;
    collapsed(isCollapsed?: boolean): this;
    columns(count: number): this;
    generate(): SchemaFieldset;
}
