import { GeneratorWithFields } from '../base';
import { PredefinedField, SchemaImageMetadata } from '../types';
export declare class ImageFieldGenerator extends GeneratorWithFields {
    protected _options: {
        metadata?: SchemaImageMetadata[];
        hotspot?: boolean;
        storeOriginalFilename?: boolean;
        accept?: string;
        sources?: any[];
    };
    constructor(predefinedFields: PredefinedField | undefined, name?: string, title?: string);
    metadata(metadata: SchemaImageMetadata[]): this;
    hotspot(hotspot?: boolean): this;
    storeOriginalFilename(store?: boolean): this;
    accept(mimeType: string): this;
    sources(sources: any[]): this;
}
