import { GeneratorWithFields } from '../base';
import { PredefinedField, SchemaField } from '../types';
import { FieldSetGenerator } from './fieldset';
export declare class ObjectFieldGenerator extends GeneratorWithFields {
    protected _fieldsets: FieldSetGenerator[];
    protected _inputComponent: any;
    protected _options: {
        collapsible?: boolean;
        collapsed?: boolean;
    };
    constructor(predefinedFields: PredefinedField | undefined, name?: string, title?: string);
    collapsible(isCollapsible?: boolean): this;
    collapsed(isCollapsed?: boolean): this;
    fieldsets(sets: FieldSetGenerator[]): this;
    inputComponent(component: any): this;
    protected extendProperties(field: SchemaField & {
        fieldsets: FieldSetGenerator[];
        inputComponent: any;
    }): void;
    generate(): SchemaField & {
        fieldsets: FieldSetGenerator[];
    };
}
