import { StandardGenerator } from '../base';
import { SchemaField, SchemaReference, SchemaReferenceFilter, SchemaRefrenceFilterParams } from '../types';
export declare class ReferenceFieldGenerator extends StandardGenerator {
    protected _references: SchemaReference[];
    protected _filter: SchemaReferenceFilter;
    protected _filterParams?: SchemaRefrenceFilterParams;
    protected _weak?: boolean;
    constructor(name?: string, title?: string);
    add(reference: SchemaReference | string): this;
    filter(filter: SchemaReferenceFilter, params: SchemaRefrenceFilterParams): this;
    to(references: SchemaReference[]): this;
    weak(isWeak?: boolean): this;
    protected extendProperties(field: SchemaField & {
        to?: SchemaReference[];
        weak?: boolean;
    }): void;
}
