import { SchemaSlugSlugify } from 'src/types';
import { StandardGenerator } from '../base';
export declare class SlugFieldGenerator extends StandardGenerator {
    protected _options: {
        source?: string;
        maxLength?: number;
        slugify?: SchemaSlugSlugify;
        isUnique?: () => any;
    };
    constructor(name?: string, title?: string);
    source(source: string): this;
    maxLength(maxLength: number): this;
    slugify(slugifyFn: SchemaSlugSlugify): this;
    isUnique(fn: () => any): this;
}
