import { StandardGenerator } from '../base';
import { SchemaStringPredefined, SchemaStringLayout, SchemaStringDirection } from '../types';
export declare class StringFieldGenerator extends StandardGenerator {
    protected _options: {
        list?: SchemaStringPredefined[];
        layout?: SchemaStringLayout;
        direction?: SchemaStringDirection;
    };
    constructor(name?: string, title?: string);
    list(items: SchemaStringPredefined[]): this;
    layout(layout: SchemaStringLayout): this;
    direction(direction: SchemaStringDirection): this;
}
