import { SchemaPreview, SchemaPreviewPrepare, SchemaPreviewComponent } from './types';
export declare class PreviewGenerator {
    protected _select: Record<string, string>;
    protected _prepare?: SchemaPreviewPrepare;
    protected _component?: SchemaPreviewComponent;
    constructor(select?: Record<string, string>);
    select(property: string, selection?: string): this;
    prepare(fn: SchemaPreviewPrepare): this;
    component(component: SchemaPreviewComponent): this;
    generate(): SchemaPreview | undefined;
}
